# CoalType (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit, enum: CoalType

Package org.bukkit

# Enum Class CoalType

java.lang.Object
java.lang.Enum<CoalType>
org.bukkit.CoalType

All Implemented Interfaces:
  `Serializable`, `Comparable<CoalType>`, `Constable`

public enum CoalType extends Enum<CoalType>
Represents the two types of coal

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHARCOAL`
`COAL`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable CoalType`
`getByData(byte data)`
Deprecated.
Magic value
`byte`
`getData()`
Deprecated.
Magic value
`static CoalType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoalType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COAL

public static final CoalType COAL

### CHARCOAL

public static final CoalType CHARCOAL

## Method Details

### values

public static CoalType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CoalType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this type of coal

Returns:
  A byte containing the data value of this coal type

### getByData

@Deprecated @Nullable public static @Nullable CoalType getByData(byte data)
Deprecated.
Magic value
Gets the type of coal with the given data value

Parameters:
  `data` - Data value to fetch
Returns:
  The `CoalType` representing the given value, or null if it doesn't exist